Templates
All operations require authentication.
List modem templatesProduction
Returns the names of the modem templates of the account.
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ templateModem \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Create a modem templateProduction
Creates a template from the modem configuration of an access. Returns the created template.
Request body (required)
Modem Template name (only alphanumeric characters)
The access name with the config you want to duplicate
Response
List of DHCP for this template
List of LAN for this template
List of WLAN for this template
Parameters capabilities. Lists what can be applied from this template
Template creation date
IP Address of the DMZ
Size of the Maximum Transmission Unit on the modem's interfaces
143214561492Name of the Modem Template
Do not apply these parameters from template. You can use parametersCapabilities to know availability
List of PortMapping for this template
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ templateModem \
-H "authorization: Bearer $OVH_TOKEN"{ "DHCP": [ { "defaultGateway": "192.0.2.0", "dhcpName": "string", "domainName": "string", "endAddress": "192.0.2.0", "leaseTime": 0, "primaryDNS": "192.0.2.0", "secondaryDNS": "192.0.2.0", "serverEnabled": true, "startAddress": "192.0.2.0", "subnetMask": "192.0.2.0" } ], "LAN": [ { "IPAddress": "192.0.2.0", "addressingType": "DHCP", "lanName": "string", "subnetMask": "192.0.2.0" } ], "WLAN": [ { "SSID": "string", "SSIDAdvertisementEnabled": true, "bandSteering": true, "channel": 0, "channelMode": "Auto", "enabled": true, "frequency": "2.4GHz", "guest": true, "securityKey": "string", "securityType": "None", "wifiName": "string" } ], "capabilities": "string", "creationDate": "2024-01-01T12:00:00Z", "dmzIP": "192.0.2.0", "mtuSize": 1432, "name": "string", "parametersToIgnore": { "LANandDHCP": true, "WLANList": [ "string" ], "dmzIP": true, "mtuSize": true, "portMappingList": [ "string" ] }, "portMapping": [ { "allowedRemoteIp": "192.0.2.0", "description": "string", "externalPortEnd": 0, "externalPortStart": 0, "internalClient": "192.0.2.0", "internalPort": 0, "name": "string", "protocol": "TCP" } ]}
Get a modem templateProduction
Returns the LAN, DHCP, WLAN, port mapping, DMZ and MTU settings of a modem template, and the parameters to ignore when it is applied.
Path parameters
Name
Response
List of DHCP for this template
List of LAN for this template
List of WLAN for this template
Parameters capabilities. Lists what can be applied from this template
Template creation date
IP Address of the DMZ
Size of the Maximum Transmission Unit on the modem's interfaces
143214561492Name of the Modem Template
Do not apply these parameters from template. You can use parametersCapabilities to know availability
List of PortMapping for this template
Example uses name = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ templateModem/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "DHCP": [ { "defaultGateway": "192.0.2.0", "dhcpName": "string", "domainName": "string", "endAddress": "192.0.2.0", "leaseTime": 0, "primaryDNS": "192.0.2.0", "secondaryDNS": "192.0.2.0", "serverEnabled": true, "startAddress": "192.0.2.0", "subnetMask": "192.0.2.0" } ], "LAN": [ { "IPAddress": "192.0.2.0", "addressingType": "DHCP", "lanName": "string", "subnetMask": "192.0.2.0" } ], "WLAN": [ { "SSID": "string", "SSIDAdvertisementEnabled": true, "bandSteering": true, "channel": 0, "channelMode": "Auto", "enabled": true, "frequency": "2.4GHz", "guest": true, "securityKey": "string", "securityType": "None", "wifiName": "string" } ], "capabilities": "string", "creationDate": "2024-01-01T12:00:00Z", "dmzIP": "192.0.2.0", "mtuSize": 1432, "name": "string", "parametersToIgnore": { "LANandDHCP": true, "WLANList": [ "string" ], "dmzIP": true, "mtuSize": true, "portMappingList": [ "string" ] }, "portMapping": [ { "allowedRemoteIp": "192.0.2.0", "description": "string", "externalPortEnd": 0, "externalPortStart": 0, "internalClient": "192.0.2.0", "internalPort": 0, "name": "string", "protocol": "TCP" } ]}
Update a modem templateProduction
Changes the parameters to ignore when the template is applied to a modem.
Path parameters
Name
Request body (required)
List of DHCP for this template
List of LAN for this template
List of WLAN for this template
Parameters capabilities. Lists what can be applied from this template
Template creation date
IP Address of the DMZ
Size of the Maximum Transmission Unit on the modem's interfaces
143214561492Name of the Modem Template
Do not apply these parameters from template. You can use parametersCapabilities to know availability
List of PortMapping for this template
Response
Example uses name = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ templateModem/ {name} \
-H "authorization: Bearer $OVH_TOKEN"Delete a modem templateProduction
Deletes the modem template and all its settings.
Path parameters
Name
Response
Example uses name = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ templateModem/ {name} \
-H "authorization: Bearer $OVH_TOKEN"